受注店舗取得
GET
/stores/{store_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/order-shipment/stores/23';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/order-shipment/stores/23 \ --header 'Authorization: Bearer <token>'受注店舗を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
受注店舗ID
※通常店舗及び倉庫の店舗IDは指定できません。
Example
23Responses
Section titled “Responses”取得成功
Media typeapplication/json
Store
object
storeId
受注店舗ID
string
storeCode
required
店舗コード
※契約ID内でユニークでなければエラーになります。
string
storeName
required
店舗名
string
storeAbbr
店舗名略称
string
sellDivision
販売区分:受注店舗での販売時の消費税の扱いを指定できます。
included: 内税販売excluded: 外税販売
string
sumDateChangeTime
指定した時刻を起点として締めを行なう日付が切り替わります。
string
displaySequence
店舗の並び順。
integer
pauseFlag
休止フラグ
- true:休止
- false:通常
boolean
pointPaymentMethodId
ポイント支払方法
スマレジで取引を作成する際に、ポイント支払に割り当てるスマレジの支払方法IDを設定してください。
※管理画面では必須項目です。未設定の場合、受注店舗登録後に受注店舗詳細画面より設定してください。
string
Example
{ "storeId": "23", "storeCode": "999002", "storeName": "物産店", "storeAbbr": "物産店", "sellDivision": "included", "sumDateChangeTime": "23:59", "displaySequence": 1, "pauseFlag": false, "pointPaymentMethodId": "2"}